#! /bin/bash
# ===== PBS OPTIONS =====
#PBS -q Cobra
#PBS -N Busco_GAS
#PBS -l nodes=1:ppn=12,mem=32gb
#PBS -l walltime=48:00:00
#PBS -o /dev/null
#PBS -e /dev/null

SHORT_JOBID=`echo $PBS_JOBID |cut -d. -f1`
exec 1>$PBS_O_WORKDIR/$PBS_JOBNAME-$SHORT_JOBID.out 2>&1

export THOME=/projects/areitze2_research/PROGRAMS/Trinity/trinityrnaseq-2.2.0
export PATH=$THOME:$PATH
export LD_LIBRARY_PATH=$THOME/lib:$LD_LIBRARY_PATH

export DATA=$PBS_O_WORKDIR
export OUT=$PBS_O_WORKDIR/Trinity_Assembly

### make output directory (if needed)
if [ ! -d $OUT ]; then mkdir -p $OUT; fi

### run discovar
cd $PBS_O_WORKDIR
/projects/areitze2_research/PROGRAMS/busco/BUSCO.py -i GASM01.1.fsa_nt -o GAS_OUT -m tran -l /projects/areitze2_research/PROGRAMS/busco/metazoa_odb9/ -c 3


# /projects/areitze2_research/PROGRAMS/busco/BUSCO.py -i ../../INPUTS/Tb_Trinity.fasta -o TRIN_OUT -m tran -l /projects/areitze2_research/PROGRAMS/busco/metazoa_odb9/ -c 3